Subject: Re: Alex's fix in x2goserver

From: Mike Gabriel <[email-masked]>
Date: Wed, 23 Jul 2014 10:58:06 +0000

Hi Mike#2

On  Mi 23 Jul 2014 04:14:44 CEST, Michael DePaulo wrote:

> I can confirm that Alex's commit to x2goserver (rather than
> x2goclient) fixes this bug.
>
> bf318affee905cf7cdeaa5a248dfd07bc46a8a96
> Clean user SSHD process if connection between server and client lost.
> This should fix error "Global request tcpip-forward failed".
> http://code.x2go.org/gitweb?p=x2goserver.git;a=commit;h=bf318affee905cf7cdeaa5a248dfd07bc46a8a96
>
> Mike#1
> Should I retitle and reassign this bug (#547) to x2goserver? And

Yes, please. Can you also check for the existence of duplicate bugs?

> should we cherry-pick it for x2goserver release/4.0.0.x &
> release/4.0.1.x? We should probably release updated versions of
> 4.0.0.x (baikal) and 4.0.1.x at least a month before we release

Yes. We should cherry-pick now. Actually, the two last commits on  
x2goserver.git, but I'd suggest only to the release/4.0.1.x branch  
(Baikal needs to be superceded by a new bundle release soon).

(1)

e125f82314aa53a4d6e68f779dc1282d9edc7d5f "Set default value for  
clipboard to "both" in x2gostartagent and x2goresume-session." [1]

-> on master branch
    revert this commit
    cherry-pick it again
    do "git reset HEAD~"
    move the changelog entry to 4.0.1.16
    add bug closure if appropriate
    commit it again in Alex's name (--author="Fullname <mailaddress>")
    ...
    Then cherry-pick it to release/4.0.1.x branch

(2)

Clean user SSHD process if connection between server and client lost.  
This should fix error "Global request tcpip-forward failed".  
bf318affee905cf7cdeaa5a248dfd07bc46a8a96 [2]

-> on master branch
    revert this commit
    cherry-pick it again
    do "git reset HEAD~"
    do "git add x2goserver/lib/x2gormforward"
    move the changelog entry to 4.0.1.16
    add bug closure if appropriate
    commit it again in Alex's name (--author="Fullname <mailaddress>")
    ...
    Then cherry-pick it to release/4.0.1.x branch

> x2goclient 4.0.3.0. Otherwise, people will run into this bug if they
> update their clients to 4.0.3.0 but do not update their servers.
>
> -Mike#2

Mike#1

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=e125f82314aa53a4d6e68f779dc1282d9edc7d5f
[2]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commit;h=bf318affee905cf7cdeaa5a248dfd07bc46a8a96

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb